import { CommonStyle } from '../types';
declare type StyleProp<P, T> = {
    [P in keyof T]: Partial<CommonStyle>;
};
export declare class StyleSheet {
    static create<T extends StyleProp<any, T>>(styles: T): T;
    static flatten<C extends Partial<CommonStyle>>(styles: C | C[] | void): C;
    static resolve<T extends {
        [key: string]: Partial<CommonStyle>;
    }>(value: T): T;
    static compose<C1 extends StyleProp<any, C1>, C2 extends StyleProp<any, C2>>(style1: C1, style2: C2): C1 & C2;
}
export {};
